<?
include_once "../SYSTEM/include/functions.php";
include_once BASEDIR."SYSTEM/include/mysql.php";
include_once BASEDIR."SYSTEM/include/param.php";
include_once BASEDIR."SYSTEM/include/ban.php";
include_once BASEDIR."SYSTEM/include/sess.php";
include_once BASEDIR."SYSTEM/include/ban_2.php";
include_once BASEDIR."SYSTEM/include/theme.php";
$title='Меню рекламы';
$mesto='В админке';
head();
if (!isset($user) || $user['level']<3)
{
header ("Location: ../index.php?".SID."");
exit;
}


echo "<div class=\"h\">Реклама</div><hr />\n";
if ($mail_in_new>0)echo "<div class=\"privat\"><img src=\"../SYSTEM/themes/$them/img/mail0.gif\" alt=\"\" /> <a href=\"../mail.php?act=in\">Приват</a> [$mail_in_new]</div><hr />\n";


if (isset($_GET['act']) && $_GET['act']=='add')
{
$name=$_POST['name'];
$link=stripcslashes(htmlspecialchars($_POST['link']));
$num=intval($_POST['num']);


if (mysql_query("INSERT INTO `$mysql[pref]rekl` (name, link, num) values('$name', '$link', '$num');"))
{
action("Добавление рекламы");
echo "<span style=\"color:$color[msg]\"><b>Ссылка успешно добавлена</b></span>\n<br />\n";
}
}



if (isset($_GET['act']) && $_GET['act']=='set' && isset($_GET['id']))
{
$id=intval($_GET['id']);
$name=$_POST['name'];
$link=stripcslashes(htmlspecialchars($_POST['link']));

$num=intval($_POST['num']);


if (mysql_query("UPDATE `$mysql[pref]rekl` SET `name` = '$name', `link` = '$link', `num` = '$num' WHERE `id` = '$id';"))
{
action("Изменение рекламы");
echo "<span style=\"color:$color[msg]\"><b>Ссылка успешно изменена</b></span>\n<br />\n";
}
}

if (isset($_GET['act']) && $_GET['act']=='del' && isset($_GET['id']))
{
$id=intval($_GET['id']);


if (mysql_query("DELETE FROM `$mysql[pref]rekl` WHERE `id` = '$id';"))
{
action("Удаление рекламы");
echo "<span style=\"color:$color[msg]\"><b>Ссылка успешно удалена</b></span>\n<br />\n";
}
}






$q_c = mysql_query("SELECT COUNT(*) FROM `$mysql[pref]rekl` ORDER BY num ASC;");
$k_links=mysql_result($q_c, 0);


$q = mysql_query("SELECT * FROM `$mysql[pref]rekl` ORDER BY num ASC;");

while ($main_menu = mysql_fetch_array($q))
{
echo "<div class=\"mess\">\n";

echo "$main_menu[num]. <b>$main_menu[name]</b> (id=$main_menu[id])<br />\n";
echo "Ссылка: <b>$main_menu[link]</b><br />\n";




echo "<a href=\"rekl.php?id=$main_menu[id]&amp;form=set\">Изменить</a> | ";
echo "<a href=\"rekl.php?id=$main_menu[id]&amp;act=del\">Удалить</a><br />";
echo "</div>";
echo "<br />\n";
}

if (isset($_GET['form']) && $_GET['form']=='set' && isset($_GET['id']))
{
$id=intval($_GET['id']);

$q_id = mysql_query("SELECT COUNT(*) FROM `$mysql[pref]menu` WHERE `id` = '$id';");
if (mysql_result($q_id, 0)==1)
{
$q = mysql_query("SELECT * FROM `$mysql[pref]rekl` WHERE `id` = '$id';");
$main_menu = mysql_fetch_array($q);
echo "<form method=\"post\" action=\"rekl.php?act=set&amp;id=$id\">\n";
echo "<b>Новая ссылка:</b><br />\n";
echo "Название:<br />\n<input name=\"name\" class=\"form\" value=\"$main_menu[name]\" type=\"text\" /><br />\n";
echo "Ссылка:<br />\n<input name=\"link\" class=\"form\" value=\"$main_menu[link]\" type=\"text\" /><br />\n";
echo "Положение:<br />\n<input name=\"num\" class=\"form\" value=\"$main_menu[num]\" type=\"text\" /><br />\n";
echo "<input value=\"Изменить\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";
}
}






if (isset($_GET['form']) && $_GET['form']=='add'){
echo "<form method=\"post\" action=\"rekl.php?act=add\">\n";
echo "<b>Новая ссылка:</b><br />\n";
echo "Название:<br />\n<input name=\"name\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "Ссылка:<br />\n<input name=\"link\" class=\"form\" value=\"http://\" type=\"text\" /><br />\n";
echo "Положение:<br />\n<input name=\"num\" class=\"form\" value=\"".($k_links+1)."\" type=\"text\" /><br />\n";
echo "<input value=\"Добавить\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";}
else {echo "<br /><a href=\"rekl.php?form=add\">Добавить ссылку</a>\n";}

echo "<br /><a href=\"index.php\">&lt;&lt; Админка</a>\n";
echo "<br /><a href=\"../index.php\">&lt;&lt; На главную</a>\n";

foot();
?>
